import React from 'react';
import { DndProvider } from 'react-dnd';
import HTML5Backend from 'react-dnd-html5-backend';

const withDragDropContext = (Component) => (
    <DndProvider backend={ HTML5Backend }>
        <Component />
    </DndProvider>
);

export default withDragDropContext;
